name="WayVNC"
patches_dir=0
clone_directory="Waybar"
clone_command="git clone --depth 1 https://github.com/any1/wayvnc.git"
configure_command="meson build"
build_command="ninja -C build install"

## Hooks
function post_clone_hook {
    printf "  >> post-clone hook : clone subproject\n"
    cd $clone_directory
    mkdir subprojects
    cd subprojects
    git clone https://github.com/any1/neatvnc.git 1>/dev/null || {
        error "Error when cloning netvnc.\n";
        exit 1;
    }

    git clone https://github.com/any1/aml.git 1>/dev/null || {
        error "Error when cloning aml.\n";
        exit 1;
    }
    cd ..
}

function post_configure_hook {
    return
}

function post_install_hook {
    return
}
